Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.jdbc.common
Interface Pool

public interface Pool
extends Remote

Interface for JdbcT3 services. T3Clients get access to these services through the T3ClientServices class in weblogic.common.

Author:
  Copyright (c) 1997-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `disableDroppingUsers()` Disable the pool, immediately disconnecting all users.
`void` | `disableFreezingUsers()` Disable the pool, suspending all operations on pool connections until the pool is re-enabled.
`void` | `enable()` Enable a pool.
`java.util.Properties` | `getProperties()` Return the properties for a pool.
`java.lang.Object` | `reserve()` Reserves a resource for an authorized user.
`java.lang.Object` | `reserveNoWait()` Reserves a resource for use by an ACL user.
`java.lang.Object` | `reserveWaitSecs(int waitSecs)` Reserves a resource for use by an ACL user.
`void` | `reset()` Resets the named database ConnectionPool by shutting down and reestablishing all the allocated connections.
`void` | `shrink()` Shrinks the named database ConnectionPool to the max of the currently reserved connections or the initial size.
`void` | `shutdownHard()` Destroys the pool with the name specified, immediately closing all used and unused connections.
`void` | `shutdownSoft()` Destroys the pool with the name specified, closing unused connections immediately, and in-use connections after they are returned by the applications using them.

Method Detail

### reset

    public void reset()
               throws java.lang.Exception

  Resets the named database ConnectionPool by shutting down and reestablishing all the allocated connections. This method should only be called when the connection pool is known to be in a bad state, for example when the database has been restarted.

  This is a privileged method, and can only be invoked on a client that has specified an authorized Principal.

  Throws:
    java.lang.Exception - if there is an error

### shrink

    public void shrink()
                throws java.lang.Exception

  Shrinks the named database ConnectionPool to the max of the currently reserved connections or the initial size.

  This is a privileged method, and can only be invoked on a client that has specified an authorized Principal.

  Throws:
    java.lang.Exception - if there is an error

### shutdownSoft

    public void shutdownSoft()
                      throws java.lang.Exception

  Destroys the pool with the name specified, closing unused connections immediately, and in-use connections after they are returned by the applications using them.

  This is a privileged method, and can only be invoked on a client that has specified an authorized Principal. Applications with connections from this pool are allowed to continue using their connections until they close them.

  Throws:
    java.lang.Exception - if there is an error

### shutdownHard

    public void shutdownHard()
                      throws java.lang.Exception

  Destroys the pool with the name specified, immediately closing all used and unused connections. .

  This is a privileged method, and can only be invoked on a client that has specified an authorized Principal.

  Throws:
    java.lang.Exception - if there is an error

### disableDroppingUsers

    public void disableDroppingUsers()
                              throws java.lang.Exception

  Disable the pool, immediately disconnecting all users.

  This is a privileged method, and can only be invoked on a client that has specified an authorized Principal.

  Throws:
    java.lang.Exception - if there is an error

### disableFreezingUsers

    public void disableFreezingUsers()
                              throws java.lang.Exception

  Disable the pool, suspending all operations on pool connections until the pool is re-enabled.

  This is a privileged method, and can only be invoked on a client that has specified an authorized Principal.

  Throws:
    java.lang.Exception - if there is an error

### enable

    public void enable()
                throws java.lang.Exception

  Enable a pool.

  This is a privileged method, and can only be invoked on a client that has specified an authorized Principal.

  Throws:
    java.lang.Exception - if there is an error

### getProperties

    public java.util.Properties getProperties()
                                       throws java.lang.Exception

  Return the properties for a pool.

  This is a privileged method, and can only be invoked on a client that has specified an authorized Principal.

  Throws:
    java.lang.Exception - if there is an error

### reserve

    public java.lang.Object reserve()
                             throws java.lang.Exception

  Reserves a resource for an authorized user. Waits if all resources are currently allocated.

  Throws:
    java.lang.Exception - if there is an error

### reserveNoWait

    public java.lang.Object reserveNoWait()
                                   throws java.lang.Exception

  Reserves a resource for use by an ACL user. Caller specifies that no waiting should occur.

  Throws:
    java.lang.Exception - if there is an error

### reserveWaitSecs

    public java.lang.Object reserveWaitSecs(int waitSecs)
                                     throws java.lang.Exception

  Reserves a resource for use by an ACL user. Caller specifies that waiting should not exceed given number of seconds.

  Throws:
    java.lang.Exception - if there is an error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD